Summary: CLI for Adaptec hardware RAID controllers.
Name: adaptec6x7x8x-cli2
Epoch:   2
Version: 2.00.21811
Release: 2.jinr
Summary: Adaptec ARCCONF Command Line Utility
License: Proprietary
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Packager: vvm@jinr.ru
Conflicts: hwraidtools, adaptec-cli
ExclusiveArch: i386 x86_64
Url: http://download.adaptec.com/raid/storage_manager/arcconf_v2_00_21811.zip
%description
Command line utility to manage Adaptec cards, RAID config tool arcconf.
Compatble with 6x, 7x, 8x Adaptec RAID products.
Text formats of results of most operations differ significantly from the version 1.
To avoid comflict with V1 CLI new V2 CLI util renamed to arcconf2.

%prep
%setup -n %{name}

%install
mkdir -p %{buildroot}/usr/bin
%ifarch x86_64
  install -D -m 0755 linux_x64/cmdline/arcconf \
	%{buildroot}/usr/bin/arcconf2
%else
  install -D -m 0755 linux/cmdline/arcconf \
	%{buildroot}/usr/bin/arcconf2
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(-,root,root) /usr/bin/arcconf2

%post
#
# this prevents smartd from becoming fsdaemon context thingy
# so it can keep talking to /dev/sg*
# see https://savannah.cern.ch/bugs/index.php?61692 (procurement team only)
# -P makes this persistent accross reboots.
#
# andras.horvath@cern.ch, 2/2/2010
[ -x /usr/sbin/setsebool ] && /usr/sbin/setsebool -P fsdaemon_disable_trans=on || true

%changelog
* Tue Dec 22 2015  vvm@jinr.ru
- new version 2 initial build

